> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a login identifier for a user

> Updates a login identifier (e.g. from `pending` to `verified`) for a user by given `userID` and `identifierID`.




## OpenAPI

````yaml https://backendapi.cloud.corbado.io/v2/openapi.yaml patch /users/{userID}/identifiers/{identifierID}
openapi: 3.0.3
info:
  version: 2.0.0
  title: Corbado Backend API
  description: >
    # Introduction

    This documentation gives an overview of all Corbado Backend API calls to
    implement passwordless authentication with Passkeys.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://backendapi.corbado.io/v2
security:
  - basicAuth: []
tags:
  - name: Users
    description: All API calls to manage users
  - name: Sessions
    description: All API calls to manage sessions
  - name: Challenges
    description: All API calls to manage challenges
  - name: Identifiers
    description: All API calls to manage login identifiers
  - name: Passkeys
    description: All API calls for passkey flows
  - name: SSO
    description: All API calls for SSO flows
  - name: AuthEvents
    description: All API calls to manage authentication events
  - name: PasskeyEvents
    description: All API calls to manage passkey events
  - name: ProjectConfig
    description: All API calls to manage project configurations
  - name: ConnectTokens
    description: All API calls to manage connectTokens
  - name: PasskeyChallenges
    description: All API calls to manage passkey challenges
  - name: WebhookEndpoints
    description: All API calls to manage webhook endpoints
  - name: PasswordManagers
    description: All API calls to manage password managers
  - name: ClientEnvs
    description: All API calls to manage client environments
  - name: Devices
    description: All API calls to manage devices
  - name: Exports
    description: All API calls to manage project export files
paths:
  /users/{userID}/identifiers/{identifierID}:
    patch:
      tags:
        - Identifiers
      summary: Update a login identifier for a user
      description: >
        Updates a login identifier (e.g. from `pending` to `verified`) for a
        user by given `userID` and `identifierID`.
      operationId: IdentifierUpdate
      parameters:
        - $ref: '#/components/parameters/userID'
        - $ref: '#/components/parameters/identifierID'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/identifierUpdateReq'
      responses:
        '200':
          description: Identifier has been updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/identifier'
        default:
          $ref: '#/components/responses/error'
      security:
        - basicAuth: []
components:
  parameters:
    userID:
      name: userID
      in: path
      description: |
        Unique identifier of the user. Format: `usr-<number>`.
      required: true
      schema:
        type: string
        example: usr-4693224802260150919
    identifierID:
      name: identifierID
      in: path
      description: >
        Unique identifier of the login identifier (e.g., email address or phone
        number). Format: `ide-<number>`.
      required: true
      schema:
        type: string
        example: ide-4693224802260150919
  schemas:
    identifierUpdateReq:
      type: object
      required:
        - status
      properties:
        status:
          $ref: '#/components/schemas/identifierStatus'
    identifier:
      type: object
      required:
        - identifierID
        - type
        - value
        - status
        - userID
      properties:
        identifierID:
          type: string
          description: Unique identifier of the login identifier.
          example: ide-4693224802260150919
        type:
          $ref: '#/components/schemas/identifierType'
        value:
          type: string
          description: Value of the identifier (here email address).
          example: jane@doe.com
        status:
          $ref: '#/components/schemas/identifierStatus'
        userID:
          type: string
          description: Unique identifier of the user.
          example: usr-4693224802260150919
    identifierStatus:
      type: string
      enum:
        - pending
        - primary
        - verified
    identifierType:
      type: string
      enum:
        - email
        - phone
        - username
  responses:
    error:
      description: Error
      content:
        application/json:
          schema:
            allOf:
              - type: object
                required:
                  - httpStatusCode
                  - message
                  - requestData
                  - runtime
                properties:
                  httpStatusCode:
                    description: HTTP status code of operation
                    type: integer
                    format: int32
                  message:
                    type: string
                    example: OK
                  requestData:
                    description: Data about the request itself, can be used for debugging
                    type: object
                    required:
                      - requestID
                    properties:
                      requestID:
                        description: >-
                          Unique ID of request, you can provide your own while
                          making the request, if not the ID will be randomly
                          generated on server side
                        type: string
                        example: req-557...663
                      link:
                        description: Link to dashboard with details about request
                        type: string
                        example: >-
                          https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx
                  runtime:
                    description: Runtime in seconds for this request
                    type: number
                    format: float
                    example: 0.06167686
              - type: object
                required:
                  - error
                properties:
                  data:
                    type: object
                  error:
                    type: object
                    required:
                      - type
                    properties:
                      type:
                        description: Type of error
                        type: string
                      details:
                        description: Details of error
                        type: string
                      validation:
                        description: Validation errors per field
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
                      links:
                        description: Additional links to help understand the error
                        type: array
                        items:
                          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Basic authentication is used to authenticate requests to the Backend
        API. The username is the project ID and the password is the API secret.


        The project ID and API secret can be found in the [Developer
        Panel](https://app.corbado.com/settings/api-secrets).

````